package com.shivvers.guagetest;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;



public class GaugeTest extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_gauge_test);
        // creating new instance for circular Gauge
        SfCircularGauge circularGauge = new SfCircularGauge(this);
        ArrayList<CircularScale> _circularScales = new ArrayList<CircularScale>();

        // adding  new CircularScale
        CircularScale circularScale = new CircularScale();
        circularScale.setStartValue(0);
        circularScale.setEndValue(100);
        circularScale.setStartAngle(130);
        circularScale.setSweepAngle(280);
        circularScale.setRimWidth(10);
        circularScale.setRimColor(Color.parseColor("#D14646"));
        circularScale.setMinorTicksPerInterval(0); // to hide minor ticks
        circularScale.setLabelOffset(0.1);
        circularScale.setLabelTextSize(18);
        _circularScales.add(0, circularScale);
        circularGauge.setCircularScales(_circularScales);
        setContentView(circularGauge);

    }



    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_gauge_test, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
